%global momorel 1
%global pari_version 2.1.7

Summary: Math-Pari module for perl 
Name: perl-Math-Pari
Version: 2.010800
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Math/Math-Pari-%{version}.tar.gz 
NoSource: 0
Source1: http://pari.math.u-bordeaux.fr/pub/pari/unix/pari-%{pari_version}.tgz 
NoSource: 1
URL: http://www.cpan.org/modules/by-module/Math/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
#BuildRequires: perl-ExtUtils-ParseXS
BuildRequires:	perl(ExtUtils::MakeMaker)

%description
This package is a Perl interface to the famous library PARI for numerical/
scientific/ number-theoretic calculations. It allows use of most PARI functions
as Perl functions, and (almost) seamless merging of PARI and Perl data.

%prep
%setup -q -n Math-Pari-%{version} -a 1

# Remove redundant provides (there's also a versioned one)
%global provfilt /bin/sh -c "%{__perl_provides} | %{__grep} -Fvx 'perl(Math::Pari)'"
%define __perl_provides %{provfilt}

%build
#CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor LIBPARI="-L/usr/lib -lpari" pari_tgz="%{SOURCE1}"
#make

# machine=linux-none needed to avoid breakage of 64-bit builds
# other flags cribbed from pari.spec (#169703)
export DLCFLAGS=-fPIC
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	OPTIMIZE="%{optflags} -fomit-frame-pointer" \
	machine=none
%{__make} %{?_smp_mflags}

#perl -pi -e "s|xof_off|xiv_u.xivu_iv|g" Pari.c

%check
%{__make} test


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f
find %{buildroot} -type f -name '*.bs' -a -empty -delete || :
find %{buildroot} -depth -type d -a -empty -delete || :

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Math-Pari-%{version}-filelist
if [ "$(cat Math-Pari-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

##%%files -f Math-Pari-%{version}-filelist
##%%defattr(-,root,root)
##%%doc Changes README*

%files
%defattr(-,root,root,-)
%doc Changes README
%dir %{perl_vendorarch}/Math/
%exclude %doc %{perl_vendorarch}/Math/libPARI.dumb.pod
%doc %{perl_vendorarch}/Math/libPARI.pod
%{perl_vendorarch}/Math/*.pm
%{perl_vendorarch}/auto/Math/
%{_mandir}/man3/Math::Pari.3pm*
%{_mandir}/man3/Math::PariInit.3pm*
%{_mandir}/man3/Math::libPARI.3pm*
%exclude %{_mandir}/man3/Math::libPARI.dumb.3pm*


%changelog
* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.010800-1m)
- update to 2.010800
- delete unused patch

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.010709-6m)
- rebuild against gcc43

* Sun Mar 16 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.010709-5m)
- import Patch0: Math-Pari-2.010709-perl510.patch from fc devel

* Fri Feb 22 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.010709-4m)
- temporary fix applying http://www.perlmonks.org/?node_id=667933

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.010709-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.010709-2m)
- use vendor

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.010709-1m)
- update to 2.010709

* Sun Oct 01 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.010706-2m)
- change Source1 URI

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.010706-1m)
- spec file was autogenerated
